Page MenuHomePhabricator

Refresh Minfraud IP list
Closed, ResolvedPublic

Description

According to the recent email they have drastically simplified their IP range which is nice: https://dev.maxmind.com/maxmind-server-ip-addresses/

As of right now the list contains 8 IPs. Will require iptables and firewall changes.

Related Objects

StatusAssignedTask
Resolvedcwdent

Event Timeline

cwdent created this task.Jan 7 2019, 4:56 PM
Restricted Application added a project: Operations. · View Herald TranscriptJan 7 2019, 4:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
cwdent added a comment.Jan 7 2019, 5:09 PM

iptables change

e6acebc new minfraud ip range

deployed

Dzahn triaged this task as High priority.Jan 8 2019, 10:12 PM
Dzahn added a subscriber: Dzahn.

i am told this is in progress right now

cwdent added a parent task: Restricted Task.Jan 8 2019, 10:12 PM
cwdent added a subscriber: ayounsi.Jan 8 2019, 10:57 PM

@ayounsi the new rules are at 1546987554

Mentioned in SAL (#wikimedia-operations) [2019-01-08T23:00:23Z] <XioNoX> Update pfw3-codfw/eqiad security policies - T213100

cwdent closed this task as Resolved.Jan 9 2019, 3:48 PM
cwdent claimed this task.

@ayounsi thanks for the help, this looks good